Subject: RE: [PATCH v3 00/16] add Intel X722 iWARP driver

From: "Steve Wise" <[email-masked]>
Date: Thu, 21 Jan 2016 09:32:14 -0600

> On 1/21/2016 12:57 AM, Steve Wise wrote:
> > I also asked you why the port mapper code has to be present in each
> > iwarp driver and not part of the IB core stack, and you responded
> > "i40iw iwarp driver registers with port mapper and uses its services.
> > Beside that it is not the scope of the patch series"  -- well, it is
> > in the scope of upstream review to pose such questions, please
> > address.
> >
> >
> > There is a common service/API in the IB core for iWarp port mapping.  See drivers/infinbiand/core/iwpm*.c and
> include/rdma/iw_portmap.h.
> >
> >
> 
> Steve,
> 
> Okay, but I still don't follow why each vendor needs an RDMA_NL_YYY ID
> (RDMA_NL_C4IW, RDMA_NL_NES and now a new one  for this driver) of their own.
> 
> I see that the two current drivers actually use the same callbacks
> towards user-space, does each vendor uses a different user-space daemon,
> why?
> 
> Or.
>

Only a single user-space daemon is used.  Someone from Intel might have insight into the architecture and design.  Perhaps the intention is that individual drivers might want to have their own handlers for these various operations.  But currently they all use the core/common ones.
 
Steve.

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html